Get the structure of an analysis set or selection list

Use this API operation to get the structural definition of an analysis set or selection list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

The unique id of the analysis set or selection list.

This parameter is required and has no default.

Note: for historical reasons, this parameter is usually called maskid in AlisQI URLs. The API uses setId for consistency with the terminology used in the user interface.

boolean
Defaults to true

Whether to only show currently active fields or also include deactivated fields.

Defaults to true (only active fields). Deactivated fields have the property "active": false.

Responses

name and fields. Analysis sets will also have group and indexField, which might be null.

The fields value will be an array of objects. These objects are listed in order and describe the fields. Object properties will vary based on the field type:

  • date fields have a format property, which is either date or datetime.

  • numeric fields all have decimals. If this is null, the field holds a floating point value. They also have a default.

  • Calculated fields have a type ending in calculation (calculation, selectcalculation, textcalculation, datecalculation or checkcalculation) and an expression property. Numeric calculations (calculation) also have decimals, but no default.

  • select fields have properties (listId, listField, listFilter) that define which selection list the field is based on, and which of list's fields is selected, along with which filter (see the product field in the example below).

  • text fields have a multiLine property with a boolean value.

  • check and signature fields only have the common properties.

The active property is only present, with value false, for inactive fields. These are only included with onlyActiveFields=false.

X-RateLimit-Retry-After.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json